Android Eclipse – Kann keine Annotationsverarbeitungsoption sehen

Ich bin nicht in der Lage, die Option zu setzen, um die Annotationsverarbeitung in meinen Eclipse-Einstellungen festzulegen. Bildbeschreibung hier eingeben

Nicht sicher, seit wann bekomme ich dieses Problem aber sicherlich hat es begonnen, auftreten, nachdem ich Eclipse zuletzt aktualisiert habe. Ich habe auch versucht, einfügen die Annotations.jar Datei in Tools / Support-Ordner, aber nicht gut.

  • AndroidAnnotationen und Dolch
  • ClassNotFoundException auf AndroidAnnotations generierte Klassen seit Update auf ADT 22
  • Verwenden von AndroidAnnotationen mit Scala und Gradle
  • Ist es möglich, Spritzhaut für Testzwecke mit AndroidAnnotationen zu injizieren?
  • Enums und android Annotation intDef
  • Android-Annotationen und Vererbung
  • Freundlich helfen.

    TIA

  • Können SharedPreferences zwischen verschiedenen Android-Anwendungen freigegeben werden?
  • Google Map generieren Release API Key
  • Android Studio vs Eclipse + ADT Plugin?
  • "Kann die Klasse nicht finden" android.support.v4.app.FragmentActivity '"Fehler
  • Was ist auf pollduring Alarm illegalstateexception in android
  • Wie beendet man eine Android-App mit Code?
  • 5 Solutions collect form web for “Android Eclipse – Kann keine Annotationsverarbeitungsoption sehen”

    Installieren

    Programmiersprachen> Eclipse Java-Entwicklungstools

    Kann es wieder aktivieren.

    Bildbeschreibung hier eingeben

    Es scheint, dass Google die Annotation Processor Option aus den Projekteigenschaften im ADT-Bundle entfernt hat. Wir verfolgen das Problem in dieser AndroidAnnotations-Ausgabe. Die aktuelle Problemumgehung hierfür ist nicht das Bündel, sondern das Herunterladen einer eigenständigen Eclipse-Distribution und das Hinzufügen des ADT-Plugins dazu.

    Aktualisieren von Eclipse Java Development Tools für mich gearbeitet. Versuche dies

    Wenn annotations.jar fehlt, ist es vielleicht ADT 23 Probleme.
    Überprüfen Sie dies.

    Eclipse mit Android-Entwicklungstools aktualisieren 23

    Google-Antwort:

    Und kopiere über folgende Dateien:

    Tools / hprof-conv
    Werkzeuge / Unterstützung / Annotationen.jar
    Werkzeuge / Proguard


    (Hinzugefügt) Wenn sein ADT-Bündelproblem (Teil des Problems von ADT 23)
    Dieser Teil ist für dich. (Linked oben)

    Google-Antwort:

    Dies ist ein Verpackungsfehler. Die gesamte Proguard-Datei fehlt. Wir haben ein Update so schnell wie möglich, aber bis dahin musst es einfach von einer früheren Version der Tools kopieren:

    Bearbeiten: Mit der neuesten ADT-Version, sollte das Bündel jetzt mit Auto-Update arbeiten, also installieren Sie diese neuen Versionen:

    Linux 64 bit vm: http://dl.google.com/android/adt/adt-bundle-linux-x86_64-20140702.zip
    Linux 32 bit vm: http://dl.google.com/android/adt/adt-bundle-linux-x86-20140702.zip
    Mac: http://dl.google.com/android/adt/adt-bundle-mac-x86_64-20140702.zip
    Win32: http://dl.google.com/android/adt/adt-bundle-windows-x86-20140702.zip
    Win64: http://dl.google.com/android/adt/adt-bundle-windows-x86_64-20140702.zip

    Versuchen Sie nicht, von der vorherigen Version zu aktualisieren, da es überhaupt nicht funktioniert. Wenn du Probleme mit zipalign hast, ist es jetzt unter Plattform-Tools und nicht mehr unter Tools / so kannst du einen symbolischen Link machen oder ihn einfach in den erwarteten Ordner kopieren.

    Oder "nicht gebündelte" Eklipse verwenden.


    ADT23 Problembezogene Links
    Ausgabe 72400 (fusioniert in 72419) getDefaultProguardFile gibt nicht mehr den gültigen Pfad mit Build-SDK-Tools 23 zurück
    Ausgabe 72419 Proguard nicht mit SDK-Tools installiert rev. 23

    Kopiert APTDemo.jar von http://www.eclipse.org/jdt/apt/APTDemo.jar im lib-Ordner und ich kann die Option in meinem Compiler-Einstellungen sehen. Ich werde später untersuchen, behoben mein Problem für jetzt.

    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.